 
/*
    createMultipleFuncNIfTIBIDS.js
 
    Purpose: BrainVoyager 23 script to create multiple functional documents in NIfTI BIDS format (*.nii.gz) 
    in a subfolder of the folder of the enhanced *.dcm data
    
    Use: Save in /(My) Documents/BrainVoyager/Extensions/Scripts/. Start BrainVoyager, menu Scripts > Edit and run Scripts...
    Load this script in the Editor by double clicking or the "Open folder" icon, click the 'Run' arrow in the right upper corner or File > Run.
    The script will show file dialogs for the number of documents specified. Then it will create all documents in NIfTI BIDS format. 

    Checked on macOS.
        
    130224HB
*/

var nrDocs = 3;
var subj_id = 1;
var ses_id = 1;
var run_id = 1;
var prtFile = "";

// ~~~~~~~~~~~~~~~~~~~~~~~~~~ no editing required from here ~~~~~~~~~~~~~~~~~~~~~~~~

var funcNames = new Array(); 

function getPath(name) {

    var sepIndex = name.lastIndexOf('/');
    if (sepIndex == -1){
        sepIndex = name.lastIndexOf('\\');
    }
    return name.substring(0, sepIndex);
}

function getBasename(name) {

    var sepIndex = name.lastIndexOf('/');
    if (sepIndex == -1){
        sepIndex = name.lastIndexOf('\\');
    }
    var extIndex = name.lastIndexOf('.');
    return name.substring(sepIndex+1, extIndex);
}

for (var docnr = 0; docnr < nrDocs; docnr++) {

    var FileOfSeries = BrainVoyager.BrowseFile("DICOM","*.dcm");
    BrainVoyager.PrintToLog(FileOfSeries);
    funcNames.push(FileOfSeries);
    
}
    
for (var docNr = 0; docNr < funcNames.length; docNr++) {
    
    var name = funcNames[docNr];
    var funcNIfTI = BrainVoyager.CreateFMRFromDICOMAsNIFTIBIDS(name, subj_id, ses_id, run_id, getBasename(name), getPath(name), prtFile);
  
}

